@import "fonts.css";

:root {
    --viewport-height: 100svh;
}

html {
    font-size: calc(0.01 * var(--viewport-height));
}

body {
    margin: 0;
    padding: 0;
	width: 100vw;
	height: 100svh;
}

.transparent {
    opacity: 0;
}
.opaque {
    opacity: 1 !important;
}

.main-screen {
    position: absolute;
    width: 100%;
    height: 100%;
    transition: opacity .3s;
}

.main-screen .title {
    position: absolute;
    color: #265659;
    transition: opacity .5s;
    cursor: default;
}

.title-line-1 {
    font-size: 2.6rem;
}

.title-line-2 {
    font-size: 4.0rem;
}

.subtitle-tip {
    display: flex;
    align-items: center;
    color: #265659;
    position: absolute;
    font-size: 1.65rem;
    background: #d1d5db;
    border-radius: 0 2.5vw 2.5vw 0;
    box-shadow: 0.05rem 0.2rem 0px 0.05rem rgba(163, 171, 181, 1);
    transition: opacity .5s;
    user-select: none;
}

.subtitle-tip div {
    height: 1.6rem;
}

.point-icon {
    display: inline-block;
    height: 100%;
    width: 3.8rem;
}

.point-icon img {
    position: absolute;
    top: 50%;
    width: 3.8rem;
    transform: translateY(-50%);
}

.w-body {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.w-body img.body-image {
    height: 100%;
    width: auto;
}

.w-body img.organ-image {
    display: block;
    position: absolute;
    height: 100%;
    width: auto;
    left: 0;
    top: 0;
}

.organ-highlight {
    opacity: 0;
    transition: opacity .4s;
}

.call-point {
    position: absolute;
    aspect-ratio: 1 / 1;
    width: 35%;
    background: url(../images/point.svg) no-repeat top left;
    background-size: contain;
}

@supports not (aspect-ratio: auto) {
    .call-point:before {
        content: "";
        float: left;
        padding-top: 100%;
    }
}

.call-point-middle {
    position: absolute;
    aspect-ratio: 1 / 1;
    width: 58%;
    background: url(../images/point-small.svg) no-repeat top left;
    background-size: contain;
    top: 50%;
    left: 52%;
    transform: translate(-52%, -50%);
    border-radius: 50%;
    outline: none;
    -webkit-tap-highlight-color: transparent;
}

@supports not (aspect-ratio: auto) {
    .call-point-middle:before {
        content: "";
        float: left;
        padding-top: 100%;
    }
}

.call-point-middle-glowing {
    position: absolute;
    width: 30%;
    height: 30%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    animation: glowing 1.4s ease-in-out infinite alternate;
}

.glowing-effect-running {
    animation-play-state: running;
}

.glowing-effect-paused {
    animation-play-state: paused;
}

.call-point-middle-shadow {
    box-shadow: 0 0 0.1rem #fff, 0 0 0.6rem #dff9ef, 0 0 0.3rem 0.3rem #bbfee2;
}

@keyframes glowing {
    from {
        box-shadow: 0 0 0.1rem #fff, 0 0 0.6rem #dff9ef, 0 0 0.3rem 0.3rem #bbfee2;
    }
    to {
        box-shadow: 0 0 6px #fff, 0 0 0.5rem 0.4rem #c9ffed, 0 0 1rem 0.8rem #7fffc3;
    }
}

.click-effect {
    position: absolute;
    animation: clickAnimation .3s linear;
    background: transparent;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    border: none;
    pointer-events: none;
    opacity: .9;
}

@keyframes clickAnimation {
    0% {
        width: 0;
        height: 0;
        box-shadow: inset 0 0 0 2rem #fff;
    }

    40% {
        width: 2.5rem;
        height: 2.5rem;
        box-shadow: inset 0 0 0 3rem #fff;
    }

    66% {
        width: 6rem;
        height: 6rem;
        box-shadow: inset 0 0 0 1rem #fff;
    }

    100% {
        width: 7.4rem;
        height: 7.4rem;
        box-shadow: inset 0 0 0 0.1rem #fff;
    }
}

.close-button .click-effect {
    margin-top: -2%;
    margin-left: -2%;
}

.call-point-active {
    width: 100%;
    height: 100%;
    background: url(../images/point-active.svg) no-repeat top left;
    background-size: contain;
    opacity: 0;
    transition: opacity .4s;
}

@supports not (aspect-ratio: auto) {
    .call-point-active {
        position: absolute;
    }

    .call-point-active:before {
        content: "";
        float: left;
        padding-top: 100%;
    }
}

.pop-up-window {
    position: absolute;
    width: 50%;
    height: 100%;
    background: #ebeae8;
    pointer-events: none;
    overflow: hidden;
    scale: 0;
}

@supports not (scale: 0) {
    .pop-up-window {
       opacity: 0;
        transition: opacity 0.4s;
    }
}

.pop-up-window .close-button {
    position: absolute;
    top: 28px;
    right: 32px;
    max-width: 100px;
    aspect-ratio: 1 / 1;
    background: url("../images/close-button.svg");
    background-size: contain;
    -webkit-tap-highlight-color: transparent;
    cursor: pointer;
    z-index: 10;
}

@supports not (aspect-ratio: auto) {
    .pop-up-window .close-button:before {
        content: "";
        float: left;
        padding-top: 100%;
    }
}

.pop-up-window .close-button-active {
    position: absolute;
    width: 100%;
    height: 100%;
    background: url("../images/close-button-active.svg");
    background-size: contain;
    opacity: 0;
    transition: opacity .4s;
}

.pop-up-window .video-play-button, .pop-up-window .video-play-button-active {
    position: absolute;
    width: 14rem;
    height: 14rem;
    background: url("../images/play-button.svg");
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.pop-up-window .video-play-button {
    pointer-events: none;
    opacity: 0;
    transition: opacity .3s;
    z-index: 100;
}

.pop-up-window .video-play-button-active {
    opacity: 0;
    background: url("../images/play-button-active.svg");
    transition: opacity .3s;
}

.video-play-button:hover .video-play-button-active, .video-play-button:active  .video-play-button-active {
    opacity: 1;
}

.pop-up-window .title {
    color: #265659;
    font-size: 4.0rem;
}

.pop-up-window .text {
    color: #265659;
    font-size: 2.2rem;
    line-height: 2.6rem;
    overflow-y: auto;
}

.pop-up-window .video-wrapper {
    position: relative;
}

.pop-up-window video {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    z-index: 1;
}

.pop-up-window .video-mask {
    position: absolute;
    width: 100%;
    height: auto;
    bottom: 0;
    z-index: 10;
}

.pop-up-window .video-mask svg {
    width: 101%;
    display: block;
    position: relative;
    bottom: -2px;
    left: -1%;
}

.pop-up-window .video-cover-wrapper {
    position: absolute;
    width: 100%;
    height: 100%;
}

.pop-up-window .video-cover {
    opacity: 0;
    transition: opacity .2s;
}

.pop-up-window .video-cover img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.pop-up-window .text-wrapper {
    position: relative;
    margin: 0 auto;
    user-select: none;
    overflow: hidden;
}

.pop-up-window .scroll-mask {
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
    height: 14%;
    background: linear-gradient(rgba(235, 234, 232, 0), rgba(235, 234, 232, 1));
    transition: opacity .2s;
    pointer-events: none;
    opacity: 0;
}

.pop-up-window .scroll-indicator img {
    position: absolute;
    height: 1.6%;
    width: auto;
    left: 50%;
    transform: translateX(-50%);
    bottom: 3%;
    transition: opacity .4s;
    cursor: pointer;
    opacity: 0;
}